Name:		Q7Z
Version:	0.9.1
Release:	%mkrel 3
License:	GPL
Group:		Archiving/Compression
URL:		http://code.google.com/p/k7z/
Source:		http://k7z.googlecode.com/files/Q7Z-0.8.0.tar.bz2
Source1:	Q7Z.png
Summary:	Q7Z is a P7Zip GUI for Linux
Summary(de):	Q7Z ist ein P7Zip GUI für Linux
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	python-qt4-devel
BuildRequires:	kdelibs-devel
BuildRequires:	libqt4-devel
BuildRequires:	%{_lib}python-devel
BuildRequires:	p7zip
BuildRequires:	libtar-devel
BuildRequires:	make
Requires:	python-qt4
Requires:	python
Requires:	p7zip
Obsoletes:	%name < %version

%description
Q7Z is a P7Zip GUI for Linux, which attempts to simplify data compression and backup.

Use Q7Z if you want to:
* Update existing archives quickly
* Backup multiple folders to a storage location
* Create or extract protected archives
* Lessen effort by using archiving profiles and lists

#german
%description -l de
Q7Z ist ein GUI für p7zip, das die Datenkompression sowie Backup vereinfachen soll. 

Verwenden Q7Z, für: 
* das schnelle Updaten bestehender Archiven
* Mehrere Backup-Ordner an einen Speicherort 
* Erstellen oder entpacken von verschlüsselten Archiven
* Archivierung via Profile und Listen...

%prep

%setup -q -n %{name}

%build
cd Build
%make

%install
rm -rf $RPM_BUILD_ROOT

pushd Build
	%__make Install.AllUsers \
		DESTDIR=%{buildroot}
popd

install -m 0644 %SOURCE1 %{buildroot}%{_datadir}/icons/%{name}.png

%__rm -r %{buildroot}%{_datadir}/%{name}/Build
%__rm    %{buildroot}%{_datadir}/%{name}/Desktop/KDE/Q7Z.marker

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Compression" \
  --add-category="X-MandrivaLinux-System-Archiving-Compression" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%{_bindir}/%{name}.pyw
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/*
%{_datadir}/kde4/services/ServiceMenus/*.desktop


%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}

%changelog
* Sat Aug 17 2013 billybot <billybot> 0.9.1-3pclos2013
- update python 2.7

* Sat Jun 08 2013 Texstar <texstar at gmail.com> 0.9.1-2pclos2013
- fix desktop file

* Tue Nov 15 2011 Texstar <texstar at gmail.com> 0.9.1-1pclos2011
- 0.9.1

* Sun May 30 2010 leiche <meisssw01 at aol.com> 0.8.0-1pclos2010
- import again to pclos
